Page MenuHomePhabricator

PHP Warning: "implode(): Invalid arguments passed" from ApiWikiLove.php
Closed, ResolvedPublic

Description

Error

MediaWiki version: 1.35.0-wmf.11

message
PHP Warning: implode(): Invalid arguments passed
exception.trace
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.35.0-wmf.11/extensions/WikiLove/includes/ApiWikiLove.php(70): implode(string, NULL)
#2 /srv/mediawiki/php-1.35.0-wmf.11/includes/api/ApiMain.php(1603): ApiWikiLove->execute()
#3 /srv/mediawiki/php-1.35.0-wmf.11/includes/api/ApiMain.php(539): ApiMain->executeAction()
#4 /srv/mediawiki/php-1.35.0-wmf.11/includes/api/ApiMain.php(510): ApiMain->executeActionWithErrorHandling()
#5 /srv/mediawiki/php-1.35.0-wmf.11/api.php(78): ApiMain->execute()
#6 /srv/mediawiki/w/api.php(3): require(string)
#7 {main}

Impact

Notes

Event Timeline

Krinkle created this task.Dec 18 2019, 11:57 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 18 2019, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 559241 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikiLove@master] ApiWikiLove: Don't pass null to implode(), but fall back to []

https://gerrit.wikimedia.org/r/559241

Change 559241 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] ApiWikiLove: Don't pass null to implode(), but fall back to []

https://gerrit.wikimedia.org/r/559241

Jdforrester-WMF closed this task as Resolved.Dec 19 2019, 9:55 AM
Jdforrester-WMF claimed this task.

Change 559453 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikiLove@wmf/1.35.0-wmf.11] ApiWikiLove: Don't pass null to implode(), but fall back to []

https://gerrit.wikimedia.org/r/559453

Change 559453 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@wmf/1.35.0-wmf.11] ApiWikiLove: Don't pass null to implode(), but fall back to []

https://gerrit.wikimedia.org/r/559453

Mentioned in SAL (#wikimedia-operations) [2019-12-19T12:52:42Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.11/extensions/WikiLove/includes/ApiWikiLove.php: T241094 ApiWikiLove: Don't pass null to implode(), but fall back to [] (duration: 01m 02s)